[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: webcams and gaim



On Sun, 17 Oct 2004 10:22:45 -0700, Travis Waalkens
<traviswaalkens cox net> wrote:
> On Sun, 2004-10-17 at 13:26 -0300, Patrick Boutilier wrote:
> >
> > Travis Waalkens wrote:
> > <snip>
> >
> > > right, I saw it as cp not cd grrr. oh well.
> > > anyway, I extracted it and ran the ./configure procedure but when i make
> > > the errors seam to start here.
> > >
> > > Making all in codecs
> > > make[3]: Entering directory `/home/travis/gaim-0.79-vv-3/plugins/codecs'

[snip]

> > > else rm -f ".deps/j2k.Tpo"; exit 1; \
> > > fi
> >
> > Important error is below:
> >
> > > j2k.c:49:17: j2k.h: No such file or directory
> >
> > This means you do not have /usr/include/j2k.h
> > >
> > > haven't got a clue what these mean nor where to start to fix them.
> >
> > You need to download, compile, and install libj2k available from
> > http://gaim-vv.sourceforge.net/download.html . Unless you can find RPMs
> > for libj2k and libj2k-devel .
> 
> ok did that. I installed it and then tried to install linphone. it said
> I needed libosip, once again i did and everything went well but now when
> I go back to install linphone I get these errors
> 
> *** Rebuilding template files ***
> cd . && gtkdoc-mktmpl --module=ortp
> WARNING: telephone_event has multiple definitions
> Cannot parse structure field "#ifdef TARGET_IS_HPUXKERNEL

[snip]

> make[2]: Leaving directory `/home/travis/source/linphone-im/oRTP'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/home/travis/source/linphone-im'
> make: *** [all] Error 2
> 
> i looked on the forums but I didn't see anything that looked familiar.
> 
> 
> 
> 
> --
> fedora-list mailing list
> fedora-list redhat com
> To unsubscribe: http://www.redhat.com/mailman/listinfo/fedora-list
> 

Hi. This is my first post to the list, although I've been a 'lurker'
for several months. I've been following this thread, have successfully
configured and installed libosip, libj2k and linphone-im as specified.
When installing gaim-vv however, using this command:

./configure --with-libj2k=/usr --enable-linphone --enable-msn-vv
--prefix=/usr && make

I get the following error which prevents it from completing:

[snip]
checking for GLIB - version >= 2.0.0... no
*** Could not run GLIB test program, checking why...
*** The test program failed to compile or link. See the file config.log for the
*** exact error that occured. This usually means GLIB is incorrectly installed.
configure: error:
*** GLib 2.0 is required to build Gaim; please make sure you have the GLib
*** development headers installed. The latest version of GLib is
*** always available at http://www.gtk.org/.

So, I check my versions of glib, glib-devel and gtk2 and get this:

Name        : gtk2                         Relocations: (not relocatable)
Version     : 2.4.7                             Vendor: Red Hat, Inc.
Release     : 2.6                           Build Date: Tue 21 Sep
2004 07:53:11 AM PDT
Install Date: Fri 01 Oct 2004 04:40:37 PM PDT      Build Host:
tweety.build.redhat.com
Group       : System Environment/Libraries   Source RPM: gtk2-2.4.7-2.6.src.rpm
Size        : 12168308                         License: LGPL
Signature   : DSA/SHA1, Thu 23 Sep 2004 09:16:25 AM PDT, Key ID b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.gtk.org
Summary     : The GIMP ToolKit (GTK+), a library for creating GUIs for X.

Name        : glib                         Relocations: (not relocatable)
Version     : 1.2.10                            Vendor: Red Hat, Inc.
Release     : 12.1.1                        Build Date: Thu 04 Mar
2004 06:44:34 AM PST
Install Date: Thu 01 Jul 2004 03:32:02 AM PDT      Build Host:
tweety.devel.redhat.com
Group       : System Environment/Libraries   Source RPM:
glib-1.2.10-12.1.1.src.rpm
Size        : 342425                           License: LGPL
Signature   : DSA/SHA1, Thu 06 May 2004 02:27:30 PM PDT, Key ID b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.gtk.org
Summary     : A library of functions used by GDK, GTK+, and many applications.

Name        : glib-devel                   Relocations: (not relocatable)
Version     : 1.2.10                            Vendor: Red Hat, Inc.
Release     : 12.1.1                        Build Date: Thu 04 Mar
2004 06:44:34 AM PST
Install Date: Mon 18 Oct 2004 11:29:19 AM PDT      Build Host:
tweety.devel.redhat.com
Group       : Development/Libraries         Source RPM:
glib-1.2.10-12.1.1.src.rpm
Size        : 335593                           License: LGPL
Signature   : DSA/SHA1, Thu 06 May 2004 02:27:30 PM PDT, Key ID b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.gtk.org
Summary     : GIMP ToolKit (GTK+) and GIMP Drawing Kit (GDK) support library.

On the gtk.org website, there are several release announcements of
glib with GLib 2.4.7 as recently as Oct 8th. I'd like to avoid custom
configuration/installation and install via rpm and specifically via
yum if possible.

Question: is glib 2.x available on any of the FC2 yum repositories?
I'm using the following (from yum.conf):

[core]
name=Fedora Linux $releasever - $basearch - core
baseurl=http://ayo.freshrpms.net/fedora/linux/$releasever/$basearch/core
gpgcheck=1

[updates]
name=Fedora Linux $releasever - $basearch - updates
baseurl=http://ayo.freshrpms.net/fedora/linux/$releasever/$basearch/updates
gpgcheck=1

[freshrpms]
name=Fedora Linux $releasever - $basearch - freshrpms
baseurl=http://ayo.freshrpms.net/fedora/linux/$releasever/$basearch/freshrpms
gpgcheck=1

Based on the fact that a few members of this list suggested installing
gaim-vv to enable webcam via IM, I'm assuming that they have
successfully installed it on FC2. Yes?

Many thanks...

-gary


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]